Index: trunk/umn/alkis_n/symbolssw.sym
===================================================================
--- trunk/umn/alkis_n/symbolssw.sym	(revision 368)
+++ trunk/umn/alkis_n/symbolssw.sym	(revision 395)
@@ -1,339 +1,115 @@
 SYMBOLSET
 # Symbole fuer ALKIS-Mapfile Schwarz/Weiss generiert aus aus Norbit-QGIS-Plugin
-	SYMBOL
-		NAME "0"
-		TYPE ELLIPSE
-		FILLED TRUE
-		POINTS 1 1 1 1 END
-	END
-	SYMBOL
-		NAME "norGIS_alkis3020_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3020_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3022_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3022_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3010_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3010_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3539_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3539_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3527_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3527_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3521_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3521_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3308_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3308_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3312_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3312_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3334_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3334_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3318_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3318_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3316_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3316_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3326_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3326_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3323_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3323_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3311_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3311_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3306_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3306_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3336_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3336_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3300_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3300_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3529_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3529_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3302_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3302_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3305_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3305_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3536_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3536_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3324_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3324_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3532_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3532_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3430_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3430_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3424_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3424_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3578_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3578_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3432_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3432_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3426_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3426_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3428_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3428_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3446_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3446_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3478_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3478_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3421_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3421_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3440_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3440_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3613_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3613_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3597_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3597_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3452_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3452_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3460_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3460_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3480_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3480_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3462_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3462_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3413_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3413_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3605_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3605_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3441_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3441_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3458_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3458_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3599_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3599_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3474_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3474_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3470_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3470_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3601_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3601_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3619_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3619_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3488_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3488_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3490_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3490_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3596_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3596_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3621_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3621_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3401_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3401_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3506_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3506_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3522_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3522_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3508_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3508_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3504_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3504_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3501_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3501_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3514_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3514_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3407_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3407_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3423_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3423_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3419_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3419_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3415_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3415_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3412_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3412_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3627_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3627_2.svg"
-	END
-	SYMBOL
-		NAME "norGIS_alkis3632_2"
-		TYPE SVG
-		IMAGE "/opt/gdi/alkisn/svg/alkis3632_2.svg"
-	END
+# Version 2017-11-21 Abgleich, Sortierung, Komprimierung
+SYMBOL NAME "0" TYPE ELLIPSE FILLED TRUE POINTS 1 1 1 1 END END
+SYMBOL NAME "norGIS_alkis3010_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3010_2.svg" END
+SYMBOL NAME "norGIS_alkis3011_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3011_2.svg" END
+SYMBOL NAME "norGIS_alkis3020_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3020_2.svg" END
+SYMBOL NAME "norGIS_alkis3021_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3021_2.svg" END
+SYMBOL NAME "norGIS_alkis3022_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3022_2.svg" END
+SYMBOL NAME "norGIS_alkis3024_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3024_2.svg" END
+SYMBOL NAME "norGIS_alkis3300_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3300_2.svg" END
+SYMBOL NAME "norGIS_alkis3302_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3302_2.svg" END
+SYMBOL NAME "norGIS_alkis3303_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3303_2.svg" END
+SYMBOL NAME "norGIS_alkis3305_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3305_2.svg" END
+SYMBOL NAME "norGIS_alkis3306_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3306_2.svg" END
+SYMBOL NAME "norGIS_alkis3308_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3308_2.svg" END
+SYMBOL NAME "norGIS_alkis3309_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3309_2.svg" END
+SYMBOL NAME "norGIS_alkis3311_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3311_2.svg" END
+SYMBOL NAME "norGIS_alkis3312_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3312_2.svg" END
+SYMBOL NAME "norGIS_alkis3314_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3314_2.svg" END
+SYMBOL NAME "norGIS_alkis3315_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3315_2.svg" END
+SYMBOL NAME "norGIS_alkis3316_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3316_2.svg" END
+SYMBOL NAME "norGIS_alkis3317_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3317_2.svg" END
+SYMBOL NAME "norGIS_alkis3318_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3318_2.svg" END
+SYMBOL NAME "norGIS_alkis3321_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3321_2.svg" END
+SYMBOL NAME "norGIS_alkis3323_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3323_2.svg" END
+SYMBOL NAME "norGIS_alkis3324_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3324_2.svg" END
+SYMBOL NAME "norGIS_alkis3326_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3326_2.svg" END
+SYMBOL NAME "norGIS_alkis3332_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3332_2.svg" END
+SYMBOL NAME "norGIS_alkis3334_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3334_2.svg" END
+SYMBOL NAME "norGIS_alkis3336_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3336_2.svg" END
+SYMBOL NAME "norGIS_alkis3338_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3338_2.svg" END
+SYMBOL NAME "norGIS_alkis3340_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3340_2.svg" END
+SYMBOL NAME "norGIS_alkis3401_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3401_2.svg" END
+SYMBOL NAME "norGIS_alkis3402_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3402_2.svg" END
+SYMBOL NAME "norGIS_alkis3404_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3404_2.svg" END
+SYMBOL NAME "norGIS_alkis3407_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3407_2.svg" END
+SYMBOL NAME "norGIS_alkis3409_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3409_2.svg" END
+SYMBOL NAME "norGIS_alkis3411_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3411_2.svg" END
+SYMBOL NAME "norGIS_alkis3412_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3412_2.svg" END
+SYMBOL NAME "norGIS_alkis3413_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3413_2.svg" END
+SYMBOL NAME "norGIS_alkis3415_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3415_2.svg" END
+SYMBOL NAME "norGIS_alkis3417_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3417_2.svg" END
+SYMBOL NAME "norGIS_alkis3419_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3419_2.svg" END
+SYMBOL NAME "norGIS_alkis3421_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3421_2.svg" END
+SYMBOL NAME "norGIS_alkis3423_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3423_2.svg" END
+SYMBOL NAME "norGIS_alkis3424_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3424_2.svg" END
+SYMBOL NAME "norGIS_alkis3426_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3426_2.svg" END
+SYMBOL NAME "norGIS_alkis3428_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3428_2.svg" END
+SYMBOL NAME "norGIS_alkis3430_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3430_2.svg" END
+SYMBOL NAME "norGIS_alkis3432_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3432_2.svg" END
+SYMBOL NAME "norGIS_alkis3434_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3434_2.svg" END
+SYMBOL NAME "norGIS_alkis3439_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3439_2.svg" END
+SYMBOL NAME "norGIS_alkis3440_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3440_2.svg" END
+SYMBOL NAME "norGIS_alkis3441_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3441_2.svg" END
+SYMBOL NAME "norGIS_alkis3444_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3444_2.svg" END
+SYMBOL NAME "norGIS_alkis3446_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3446_2.svg" END
+SYMBOL NAME "norGIS_alkis3450_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3450_2.svg" END
+SYMBOL NAME "norGIS_alkis3452_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3452_2.svg" END
+SYMBOL NAME "norGIS_alkis3454_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3454_2.svg" END
+SYMBOL NAME "norGIS_alkis3458_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3458_2.svg" END
+SYMBOL NAME "norGIS_alkis3460_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3460_2.svg" END
+SYMBOL NAME "norGIS_alkis3462_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3462_2.svg" END
+SYMBOL NAME "norGIS_alkis3470_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3470_2.svg" END
+SYMBOL NAME "norGIS_alkis3474_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3474_2.svg" END
+SYMBOL NAME "norGIS_alkis3476_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3476_2.svg" END
+SYMBOL NAME "norGIS_alkis3478_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3478_2.svg" END
+SYMBOL NAME "norGIS_alkis3480_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3480_2.svg" END
+SYMBOL NAME "norGIS_alkis3488_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3488_2.svg" END
+SYMBOL NAME "norGIS_alkis3490_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3490_2.svg" END
+SYMBOL NAME "norGIS_alkis3501_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3501_2.svg" END
+SYMBOL NAME "norGIS_alkis3502_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3502_2.svg" END
+SYMBOL NAME "norGIS_alkis3504_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3504_2.svg" END
+SYMBOL NAME "norGIS_alkis3506_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3506_2.svg" END
+SYMBOL NAME "norGIS_alkis3508_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3508_2.svg" END
+SYMBOL NAME "norGIS_alkis3509_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3509_2.svg" END
+SYMBOL NAME "norGIS_alkis3510_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3510_2.svg" END
+SYMBOL NAME "norGIS_alkis3512_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3512_2.svg" END
+SYMBOL NAME "norGIS_alkis3513_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3513_2.svg" END
+SYMBOL NAME "norGIS_alkis3514_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3514_2.svg" END
+SYMBOL NAME "norGIS_alkis3520_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3520_2.svg" END
+SYMBOL NAME "norGIS_alkis3521_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3521_2.svg" END
+SYMBOL NAME "norGIS_alkis3522_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3522_2.svg" END
+SYMBOL NAME "norGIS_alkis3524_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3524_2.svg" END
+SYMBOL NAME "norGIS_alkis3525_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3525_2.svg" END
+SYMBOL NAME "norGIS_alkis3526_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3526_2.svg" END
+SYMBOL NAME "norGIS_alkis3527_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3527_2.svg" END
+SYMBOL NAME "norGIS_alkis3528_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3528_2.svg" END
+SYMBOL NAME "norGIS_alkis3529_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3529_2.svg" END
+SYMBOL NAME "norGIS_alkis3532_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3532_2.svg" END
+SYMBOL NAME "norGIS_alkis3535_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3535_2.svg" END
+SYMBOL NAME "norGIS_alkis3536_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3536_2.svg" END
+SYMBOL NAME "norGIS_alkis3539_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3539_2.svg" END
+SYMBOL NAME "norGIS_alkis3540_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3540_2.svg" END
+SYMBOL NAME "norGIS_alkis3556_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3556_2.svg" END
+SYMBOL NAME "norGIS_alkis3574_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3574_2.svg" END
+SYMBOL NAME "norGIS_alkis3578_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3578_2.svg" END
+SYMBOL NAME "norGIS_alkis3587_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3587_2.svg" END
+SYMBOL NAME "norGIS_alkis3588_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3588_2.svg" END
+SYMBOL NAME "norGIS_alkis3592_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3592_2.svg" END
+SYMBOL NAME "norGIS_alkis3595_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3595_2.svg" END
+SYMBOL NAME "norGIS_alkis3596_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3596_2.svg" END
+SYMBOL NAME "norGIS_alkis3597_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3597_2.svg" END
+SYMBOL NAME "norGIS_alkis3599_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3599_2.svg" END
+SYMBOL NAME "norGIS_alkis3601_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3601_2.svg" END
+SYMBOL NAME "norGIS_alkis3603_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3603_2.svg" END
+SYMBOL NAME "norGIS_alkis3605_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3605_2.svg" END
+SYMBOL NAME "norGIS_alkis3613_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3613_2.svg" END
+SYMBOL NAME "norGIS_alkis3619_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3619_2.svg" END
+SYMBOL NAME "norGIS_alkis3621_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3621_2.svg" END
+SYMBOL NAME "norGIS_alkis3625_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3625_2.svg" END
+SYMBOL NAME "norGIS_alkis3627_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3627_2.svg" END
+SYMBOL NAME "norGIS_alkis3632_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3632_2.svg" END
+SYMBOL NAME "norGIS_alkis3653_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3653_2.svg" END
 END