Index: trunk/info/info/alkisn/alkisinlayausk.php
===================================================================
--- trunk/info/info/alkisn/alkisinlayausk.php	(revision 398)
+++ trunk/info/info/alkisn/alkisinlayausk.php	(revision 402)
@@ -16,7 +16,7 @@
 	2017-10-09 Sauber filtern auf endet IS NULL
 	2017-12-20 Fehlerkorrektur: Link StraÃe ohne gml_id, Bessere Title fÃŒr Links, Icon an Lage.
+	2018-04-23 FÃŒr GB-Teil Function benutzen.
 */
 session_start();
-
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -38,9 +38,9 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
 	<title>ALKIS-Auskunft</title>
-	<script type="text/javascript">
-	function imFenster(dieURL) {
-		var link = encodeURI(dieURL);
-		window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
-	}
+	<script>
+		function imFenster(dieURL) {
+			var link = encodeURI(dieURL);
+			window.open(link,'','left=10,top=10,width=750,height=840,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+		}
 	</script>
 </head>
@@ -51,8 +51,7 @@
 
 // *** F L U R S T U E C K ***
-$sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung, f.regierungsbezirk, f.kreis, f.gemeinde
+$sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung, f.regierungsbezirk, f.kreis, f.gemeinde, f.istgebucht
 FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL ;";
-// Weiter joinen: g.stelle -> ax_dienststelle "Katasteramt"
+WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";
 $v = array($gmlid);
 $res = pg_prepare("", $sql);
@@ -63,5 +62,5 @@
 }
 
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	$gemkname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
 	$gmkgnr=$row["gemarkungsnummer"];
@@ -75,4 +74,5 @@
 	$fskrs=$row["kreis"];
 	$fsgem=$row["gemeinde"];
+	$gml_buchungsstelle=$row["istgebucht"];
 } else {
 	echo "\n<p class='err'>Kein Treffer fuer gml_id=".$gmlid."</p>";
@@ -93,35 +93,33 @@
 }
 
-echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck - &Uuml;bersicht</h2>";
-
-echo "\n<table class='outer'>\n<tr>\n<td>"
-	."\n\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>\n\t<tr>"
-	."\n\t\t<td class='head'>Gmkg</td>\n\t\t<td class='head'>Flur</td>\n\t\t<td class='head'>Flurst-Nr.</td>\n\t</tr>"
-	."\n\t<tr>\n\t\t<td title='Gemarkung'>".$gemkname."</td>"
-	."\n\t\t<td title='Flurnummer'>".$flurnummer."</td>"
-	."\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t</tr>"
-	."\n\t</table>"
-."\n</td>\n<td>"
-."\n\t<p class='nwlink'>weitere Auskunft:<br>";
-
+//echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck - &Uuml;bersicht</h2>";
+echo "\n<table class='outer'>"
+."\n\t<tr>"
+	."\n\t\t<td class='ll'><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Kennzeichen:</td>"
+		."\n\t\t<td>"
+		."\n\t\t\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>\n\t\t\t\t<tr>"
+			."\n\t\t\t\t\t<td class='head'>Gmkg</td>\n\t\t\t\t\t<td class='head'>Flur</td>\n\t\t\t\t\t<td class='head'>Flurst-Nr.</td>\n\t\t\t\t</tr>"
+			."\n\t\t\t\t<tr>\n\t\t\t\t\t<td title='Gemarkung'>".$gemkname."</td>"
+			."\n\t\t\t\t\t<td title='Flurnummer'>".$flurnummer."</td>"
+			."\n\t\t\t\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t\t\t\t</tr>"
+		."\n\t\t\t</table>"
+	."\n\t\t</td>\n\t\t<td>"
+	."\n\t\t\t<p class='nwlink'>weitere Auskunft:<br>";
 // FlurstÃŒcksnachweis (mit EigentÃŒmer)
-echo "\n\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' "
 	."title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck&nbsp;"
 	."<img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''>"
 ."</a><br>";
-
 // FS-Historie
-echo "\n\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
 	."title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;"
 	."<img src='ico/Flurstueck_Historisch.png' width='16' height='16' alt=''>"
 ."</a><br>";
-
 // Gebaeude-NW zum FS
-echo "\n\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
 	."title='Geb&auml;udenachweis'>Geb&auml;ude&nbsp;"
 	."<img src='ico/Haus.png' width='16' height='16' alt=''>"
 ."</a>";
-
-echo "\n\t</p>\n</td>";
+echo "\n\t\t\t</p>\n\t\t</td>\n\t</tr>";
 pg_free_result($res);
 
@@ -132,5 +130,4 @@
 WHERE f.gml_id= $1 AND f.endet IS NULL AND l.endet IS NULL AND s.endet IS NULL 
 ORDER BY s.bezeichnung, l.hausnummer;";
-
 $v=array($gmlid); // id FS
 $res=pg_prepare("", $sql);
@@ -142,5 +139,5 @@
 $j=0;
 $kgmlalt='';
-while($row = pg_fetch_array($res)) {
+while($row = pg_fetch_assoc($res)) {
 	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
 	if (substr($sname, strlen($sname) -3, 3) == 'weg') { // Versuch fuer korrekten Satzbau
@@ -150,22 +147,19 @@
 	}
 	$hsnr=$row["hausnummer"];
-
-	// linke Spalte
-	echo "\n<tr>\n\t\n\t<td class='lr'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='MIT'>&nbsp;".$sname."&nbsp;".$hsnr."</td>";
-
-	// rechte Spalte
-	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+	echo "\n\t<tr>"
+		."\n\t\t<td class='ll'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='MIT'> Lage:</td>"
+		."\n\t\t<td class='lr'>".$sname."&nbsp;".$hsnr."</td>"
+		."\n\t\t<td>\n\t\t\t<p class='nwlink noprint'>";
 	$kgml=$row["kgml"]; // Wiederholung vermeiden
-
 	if ($kgml != $kgmlalt) { // NEUE Strasse vor Lage
 		$kgmlalt=$kgml; // Katalog GML-ID
-		echo "\n\t\t\t<a title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
+		echo "\n\t\t\t\t<a title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
 		."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>Stra&szlig;e "
 		."<img src='ico/Strassen.png' width='16' height='16' alt='STRA'></a>";
 	}
-	echo "\n\t\t\t<a title='Flurst&uuml;cke und Geb&auml;ude mit Hausnummer ".$hsnr."' "
+	echo "\n\t\t\t\t<a title='Flurst&uuml;cke und Geb&auml;ude mit Hausnummer ".$hsnr."' "
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."\")'>Lage "
 		."<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='HAUS'></a>&nbsp;"
-	."\n\t\t</p>\n\t</td>\n</tr>";
+	."\n\t\t\t</p>\n\t\t</td>\n\t</tr>";
 	$j++;
 }
@@ -177,5 +171,4 @@
 	."LEFT JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND l.lage=s.lage "
 	."WHERE f.gml_id= $1 AND f.endet IS NULL AND l.endet IS NULL AND s.endet IS NULL ORDER BY s.bezeichnung;";
-
 $v=array($gmlid);
 $res=pg_prepare("", $sql);
@@ -186,5 +179,5 @@
 }
 $kgmlalt='';
-while($row = pg_fetch_array($res)) {
+while($row = pg_fetch_assoc($res)) {
 	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
 
@@ -195,19 +188,16 @@
 	}
 
-
 	$gewann=htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
-	echo "\n<tr>";
-
-	// linke Spalte
+	echo "\n\t<tr>";
 	if ($sname != "") { // Typ=Strasse
 		$ico="Lage_an_Strasse.png";
-		echo "\n\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'><img src='ico/".$ico."' width='16' height='16' alt='OHNE'> ".$sname."&nbsp;</td>";
+		echo "\n\t\t<td class='ll'><img src='ico/".$ico."' width='16' height='16' alt='OHNE'> Stra&szlig;e:</td>";
+		echo "\n\t\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'>".$sname."&nbsp;</td>";
 	} else {
 		$ico="Lage_Gewanne.png";
-		echo "\n\t<td class='lr' title='Gewanne'><img src='ico/".$ico."' width='16' height='16' alt='Gewanne'> ".$gewann."&nbsp;</td>";
-	}
-
-	// rechte Spalte
-	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+		echo "\n\t\t<td class='ll'><img src='ico/".$ico."' width='16' height='16' alt='Gewanne'> Gewanne:</td>";
+		echo "\n\t\t<td class='lr' title='Gewanne'>".$gewann."&nbsp;</td>";
+	}
+	echo "\n\t\t<td>\n\t\t\t<p class='nwlink noprint'>";
 	if ($sname != "") { // Typ=Strasse
 		$kgml=$row["kgml"]; // Wiederholung vermeiden
@@ -226,84 +216,29 @@
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$row["gml_id"]."\")'>Gewanne "
 		."<img src='ico/".$ico."' width='16' height='16' alt='Gewanne'></a>&nbsp;"
-		."\n\t\t</p>\n\t</td>\n</tr>";
+		."\n\t\t</p>\n\t\t</td>\n\t</tr>";
 	}
 }
 pg_free_result($res);
-
-echo "\n</table>";
-
-// Flurstuecksflaeche
+echo "\n</table>\n";
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".$flae."</b></p>";
 
-// *** G R U N D B U C H ***
-echo "\n<h2><img src='ico/Grundbuch_zu.png' width='16' height='16' alt='GB'> Grundbuch</h2>";
-
-// FS >istgebucht> GS >istbestandteilvon> GB.
-$sql ="SELECT b.gml_id, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung as blatt, b.blattart, 
-s.gml_id AS s_gml, s.buchungsart, s.laufendenummer, s.zaehler, s.nenner, z.bezeichnung, wa.v AS blattartv, wb.v AS bart 
-FROM ax_flurstueck f 
-JOIN ax_buchungsstelle s ON f.istgebucht=s.gml_id 
-JOIN ax_buchungsblatt b ON s.istbestandteilvon=b.gml_id
-LEFT JOIN ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk 
-LEFT JOIN alkis_wertearten wa ON cast(b.blattart AS character varying)=wa.k AND wa.element='ax_buchungsblatt' AND wa.bezeichnung='blattart'
-LEFT JOIN alkis_wertearten wb ON cast(s.buchungsart AS character varying)=wb.k AND wb.element='ax_buchungsstelle' AND wb.bezeichnung='buchungsart'
-WHERE f.gml_id= $1 AND f.endet IS NULL AND s.endet IS NULL AND b.endet IS NULL AND z.endet IS NULL 
-ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
-
-$v=array($gmlid);
-$resg=pg_prepare("", $sql);
-$resg=pg_execute("", $v);
-if (!$resg) {
-	echo "\n<p class='err'>Keine Buchungen.</p>";
-	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
-}
-while($rowg = pg_fetch_array($resg)) {
-	$beznam=$rowg["bezeichnung"];
-	echo "\n<table class='outer'>\n<tr>\n<td>";
-		$blattkey=$rowg["blattart"]; // Key
-		$blattart=$rowg["blattartv"]; // Value
-
-		if ($blattkey == 1000) {
-			echo "\n\t<table class='kennzgb' title='Bestandskennzeichen'>";
+// B U C H U N G S S T E L L E N  zum FS
+$bartgrp="";	// Buchungsart
+$barttypgrp="";	// Buchungsart Typ
+if ($gml_buchungsstelle == '') {echo "\n<p class='err'>Keine Buchungstelle zum Flurst&uuml;ck gefunden.</p>";}
+echo "\n\n<table class='outer'>";
+	$gezeigt = buchung_anzg($gml_buchungsstelle, 'j', true, ""); // direkte Buchung anzeigen wenn nicht fiktiv, Eigent. ja, mit JS "imFenster"
+	$anzber = ber_bs_zaehl($gml_buchungsstelle); // Berechtigte Buchungen, nur Anzahl
+	if ($anzber > 0 ) {
+		if ($gezeigt) {
+			echo "\n\t<tr>\n\t\t<td colspan='4'><span class='wichtig'>Berechtigte Buchungen siehe Flurst&uuml;cksnachweis.</span></td>\n\t</tr>";
 		} else {
-			echo "\n\t<table class='kennzgbf' title='Bestandskennzeichen'>"; // dotted
-		}
-			echo "\n\t<tr>"
-				."\n\t\t<td class='head'>Bezirk</td>"
-				."\n\t\t<td class='head'>".$blattart."</td>"
-				."\n\t\t<td class='head'>Lfd-Nr,</td>"
-				."\n\t\t<td class='head'>Buchungsart</td>"
-			."\n\t</tr>\n\t<tr>"
-				."\n\t\t<td title='Grundbuchbezirk'>".$beznam."</td>"
-				."\n\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$rowg["blatt"]."</span></td>"
-				."\n\t\t<td title='Bestandsverzeichnis-Nummer (BVNR, Grundst&uuml;ck)'>".$rowg["laufendenummer"]."</td>"
-				."\n\t\t<td title='Buchungsart'>".$rowg["bart"]."</td>"
-			."\n\t</tr>"
-		."\n\t</table>";
-
-		if ($rowg["zaehler"] <> "") {
-			echo "\n<p class='ant'>".$rowg["zaehler"]."/".$rowg["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
-		}
-		echo "\n</td>\n<td>"
-		."\n\t<p class='nwlink'>weitere Auskunft:<br>"
-			."\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")' "
-				."title='Grundbuchnachweis'>".$blattart." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''>"
-			."</a>"
-		."\n\t</p>"
-	."\n</td>\n</tr>\n</table>";
-
-	// E I G E N T U E M E R
-	if ($blattkey == 5000) { // kein Eigent. bei fiktiv. Blatt
-		echo "\n<p>Keine Angaben zum Eigentum bei fiktivem Blatt</p>\n"
-		."\n<p>Siehe weitere Grundbuchbl&auml;tter mit Rechten an dem fiktiven Blatt.</p>";
-	} else { // Ausgabe Name in Function
-		$n = eigentuemer($rowg["gml_id"], false, "imFenster"); // ohne Adressen
-		if ($n == 0) { // keine NamensNr, kein Eigentuemer
-			echo "\n<p class='err'>Keine Eigent&uuml;mer gefunden.</p>"
-			."\n<p class='err'>Bezirk ".$rowg["bezirk"]." Blatt ".$rowg["blatt"]." Blattart ".$blattkey." (".$blattart.")</p>";
-		}
-	}
-}
-pg_free_result($resg);
+			$nochmehr = ber_bs_anzg($gml_buchungsstelle, "j", ""); // wenigstens eine Buchg. zeigen
+			if ($nochmehr != "") { // keine Verfolgung
+				echo "\n\t<tr>\n\t\t<td colspan='4'><span class='wichtig'>Weitere berechtigte Buchungen siehe Flurst&uuml;cksnachweis.</span></td>\n\t</tr>";
+			}
+		} 
+	}
+echo "\n</table>\n";
 
 ?>