Index: trunk/info/info/alkisn/alkisfkt.php
===================================================================
--- trunk/info/info/alkisn/alkisfkt.php	(revision 404)
+++ trunk/info/info/alkisn/alkisfkt.php	(revision 405)
@@ -15,7 +15,6 @@
 	2017-12-20 Default Anzeigewert "EigentÃŒmer" im Link fÃŒr leere EigentÃŒmerart, JÃŒngste Adresse zur Person verwenden.
 	2018-04-23 Berechtigte Buchungen im FS-Nachw. verbessern. Neue Spalte statt Ãberschriften fÃŒr "EigentÃŒmer" und "Berechtigte Buchungen".
-
-++ ToDo:
- ++ Parameter $lnkclass in eigentuemer() und $jfenster in buchung_anzg() vereinheitlichen
+	2018-05-03 GrundstÃŒcksnachweis
+++ ToDo: Parameter $lnkclass in eigentuemer() und $jfenster in buchung_anzg() vereinheitlichen
 */
 
@@ -83,5 +82,5 @@
 }
 
-function buchung_anzg($gmlbs, $eig, $jsfenster, $gml_fs) {
+function buchung_anzg($gmlbs, $eig, $jsfenster, $gml_fs, $trtyp) {
 	// In einem FS-Nachw. EINE Buchungsstelle anzeigen.
 	// Parameter:
@@ -90,4 +89,5 @@
 	//  $jsfenster: Javascript-Funktion zum Verlassen des Feature-Info-Fensters verwenden (bool)
 	//  $gml_fs: GML-ID des FlurstÃŒcke (nur bei erstem Aufruf in einem FS-Nachweis notwendig)
+	//	$trtyp: Tabellen-Zeilen-Typ. Werte: 1="mit GS-Link", 2="ohne GS-Link", 3="ohne GS-Link +Zeile einfÃ€rben"
 	global $gkz, $debug, $showkey, $bartgrp, $barttypgrp, $stufe;
 
@@ -115,4 +115,5 @@
 			$hgml=$rowbs["hgml"]; // GML-ID der (herrschenden) BuchungsStelle
 			$bartkey=$rowbs["buchungsart"]; // Buchungsart SchlÃŒssel
+			$bart=$rowbs["bart"]; // Buchungsart Text
 			$beznam=$rowbs["bezeichnung"]; // Bezirk
 			$blattartber=$rowbs["blattartv"]; // Wert von Blatt-Art des GB
@@ -123,5 +124,4 @@
 			$lfd=ltrim($rowbs["lfd"], "0");
 			if ($bartkey != $bartgrp) { // Wechsel der Buchungsart
-				$bart=$rowbs["bart"]; // Buchungsart Text
 				$barttitle=$rowbs["barttitle"]; // Buchungsart ErklÃ€rung
 				switch (true) { // Die Buchungsart einem Typ (Gruppierung) zuweisen
@@ -169,5 +169,5 @@
 			} // Ende Wechsel der Buchungsart
 
-			echo "\n\t<tr>" // Tabelle mit 4 Spalten fÃŒr Buchung und EigentÃŒmer
+			echo "\n\t<tr>" // Zeile mit 4 Spalten fÃŒr Buchung und EigentÃŒmer
 				."\n\t\t<td class='ll'><img src='ico/Grundbuch_zu.png' width='16' height='16' alt=''> Buchung:"; // 1
 			if ($showkey and $debug > 2) {echo "<br><span class='key'>Stufe ".$stufe."<br>".$hgml."</span> ";}
@@ -187,6 +187,11 @@
 						."\n\t\t\t\t<td class='head'>Lfd-Nr</td>"
 					."\n\t\t\t</tr>";
-					echo "\n\t\t\t<tr>"
-						."\n\t\t\t\t<td title='Grundbuchbezirk'>";
+
+					if ($trtyp == 3) { // Treffer-Grundst. einfÃ€rben
+						echo "\n\t\t\t<tr class='paa'>";
+					} else {
+						echo "\n\t\t\t<tr>";
+					}
+					echo "\n\t\t\t\t<td title='Grundbuchbezirk'>";
 						if ($showkey) {echo "<span class='key'>".$rowbs["bezirk"]."</span><br>";}
 						echo $beznam."</td>"
@@ -209,12 +214,23 @@
 				echo "\n\t\t<td>"; // 4
 					echo "\n\t\t\t<p class='nwlink noprint'>";
+					// Bestand
 						if ($showkey) {echo "<span class='key'>".$blattkeyber."</span> ";}
 						$url="alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gbgml;
 						if ($showkey) {$url.="&amp;showkey=j";}
 						if ($jsfenster) {$url="javascript:imFenster(\"".$url."\")";} // Sonderfall "Inlay" aus Feature-Info
-						echo "\n\t\t\t\t<a href='".$url."' title='Grundbuchnachweis mit Eigent&uuml;merangabe'>".$blattartber
+						echo "\n\t\t\t\t<a href='".$url."' title='Grundbuchnachweis'>".$blattartber
 							." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''>"
 						."</a>";
-					//	if ($showkey and $debug > 2) {echo "<br><span class='key'>GML-ID = ".$gbgml."</span> ";}
+					// Buchung
+						if ($trtyp == 1) {
+							echo "<br>";
+							if ($showkey) {echo "<span class='key'>".$bartkey."</span> ";}
+							$url="alkisgsnw.php?gkz=".$gkz."&amp;gmlid=".$hgml;
+							if ($showkey) {$url.="&amp;showkey=j";}
+							if ($jsfenster) {$url="javascript:imFenster(\"".$url."\")";}
+							echo "\n\t\t\t\t<a href='".$url."' title='GrundstÃŒcksnachweis: ".$bart."'>Buchung"
+								." <img src='ico/Grundstueck_Link.png' width='16' height='16' alt=''>"
+							."</a>";
+						}
 					echo "\n\t\t\t</p>"
 				."\n\t\t</td>" // 4
@@ -230,5 +246,5 @@
 }
 
-function ber_bs_anzg($gmls, $eig, $jsfenster, $gml_fs) {
+function ber_bs_anzg($gmls, $eig, $jsfenster, $gml_fs, $gsanfrd) {
 	// In einem FS-Nachw. die berechtigten (herrschenden) Buchungsstellen anzeigen z.B. "Wohnungs-/Teileigentum".
 	// Parameter: 
@@ -237,5 +253,6 @@
 	//  $jsfenster: Javascript-Funktion zum Verlassen des Feature-Info-Fensters verwenden (bool)
 	//  $gml_fs: GML-ID des FlurstÃŒcke (nur bei erstem Aufruf in einem FS-Nachweis notwendig)
-	global $debug, $stufe;
+	//	$gsanfrd: In einem GS-Nachw. die GML-ID der in de URL angeforderten Buchungsstelle (-> Hervorhebung)
+	global $debug, $gezeigt;
 
 	// sh=Buchungstelle herrschend >(Recht)an> sd=Buchungstelle dienend >istBestandteilVon> BLATT -> Bezirk
@@ -257,5 +274,15 @@
 	while($rowan = pg_fetch_assoc($resber)) { // Loop durch Result von berechtigte BS
 		$hgml=$rowan["hgml"]; // GML-ID der berechtigten Buchungs-Stelle
-		$gezeigt = buchung_anzg($hgml, $eig, $jsfenster, $gml_fs); // Die herrschende Buchung anzeigen wenn nicht fiktiv
+
+		if ($hgml == $gsanfrd) {
+			$trtyp=3; // einfÃ€rben, o. Lnk.
+		} else {
+			if ($gezeigt) {
+				$trtyp=2; // ohne Link auf GS
+			} else { // Wenn Stufe 1 "Fiktives Blatt" war, welches ausgeblendet wurde, dann auf Stufe 2 einen GS-Link ausgeben
+				$trtyp=1; // mit Link auf GS
+			}
+		}
+		$gezeigt2=buchung_anzg($hgml, $eig, $jsfenster, $gml_fs, $trtyp); // Die herrschende Buchung anzeigen wenn nicht fiktiv
 		$an++;
 		$weitere=ber_bs_zaehl($hgml); 
@@ -279,17 +306,16 @@
 }
 
-function bnw_fsdaten($con, $lfdnr, $gml_bs, $ba, $anteil, $bvnraus, $bartkey, $bartstory) {
+function bnw_fsdaten($lfdnr, $gml_bs, $ba, $anteil, $bvnraus, $bartkey, $bartstory) {
 /*	Bestandsnachweis - Flurstuecksdaten
-	Die Tabellenzeilen mit den Flurstuecksdaten zu einer Buchungsstelle im Bestandsnachweis ausgeben.
+	Die Tabellenzeilen mit den Flurstuecksdaten zu EINER Buchungsstelle im Bestandsnachweis ausgeben.
 	Die Funktion wird je einmal aufgerufen fÃŒr die Buchungen direkt auf dem GB (Normalfall).
 	Weiterere Aufrufe ggf. bei Erbbaurecht fÃŒr die mit "an" verknuepften Buchungsstellen.
-	Table-Tag und Tabellenkopf werden im aufrufenden Programm ausgegeben. */
-	global $debug, $gkz, $showkey, $filtkreis, $filtgem, $trclass; // $zpaar
+	Tabellenkopf wird im aufrufenden Programm ausgegeben. */
+	global $debug, $gkz, $showkey, $filtkreis, $filtgem, $trclass;
 
 	// F L U R S T U E C K
-	$sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche 
-	FROM ax_flurstueck f JOIN ax_buchungsstelle s ON f.istgebucht=s.gml_id 
-	LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-	WHERE f.endet IS NULL AND s.endet IS NULL AND g.endet IS NULL AND s.gml_id= $1 ";
+	$sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche "
+	."FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer "
+	."WHERE f.endet IS NULL AND g.endet IS NULL AND f.istgebucht = $1 ";
 	if ($filtgem == '' ) { // ungefiltert
 		$v=array($gml_bs);
@@ -308,8 +334,7 @@
 		$bvnr="";
 	}
-	$altbvnr="";
+	$altbvnr=""; // ++ besser mit "$j == 0" steuern?
 	$j=0;
 	while($rowf = pg_fetch_assoc($resf)) {
-	//	$flur=str_pad($rowf["flurnummer"], 3, "0", STR_PAD_LEFT);
 		$flur= $rowf["flurnummer"];
 		$fskenn=$rowf["zaehler"];
@@ -336,5 +361,4 @@
 				echo "</td>"
 				."\n\t<td>&nbsp;</td>"; // Anteil
-				$altbvnr=$bvnr;
 			}
 
@@ -347,15 +371,22 @@
 			."</td>"
 			."\n\t<td class='flag'>".$flae."</td>"; // "width" hier (flaG) erweiterbar, weil in andere Zeile die Buchungsart steht 
-
-			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>"
-				."\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+		//	if($bvnr != $altbvnr) {
+			if($j == 0) {
+				echo "\n\t\t\t<a href='alkisgsnw.php?gkz=".$gkz."&amp;gmlid=".$gml_bs;
+					if ($showkey) {echo "&amp;showkey=j";}
+					echo "' title='Grundst&uuml;cksnachweis'>Buchung "
+					."<img src='ico/Grundstueck_Link.png' width='16' height='16' alt=''>"
+				."</a>";
+
+			}
+				echo "\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
 					if ($showkey)   {echo "&amp;showkey=j";}
 					echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck "
 					."<img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''>"
 				."</a>"
-			."\n\t\t</p>"
-		."\n\t</td>"
+			."\n\t\t</p>\n\t</td>"
 		."\n</tr>";
-
+		$altbvnr=$bvnr;
 		$j++;
 	} // Ende Loop Flurstueck