Index: trunk/import/norgis_alkis_pp/postcreate.d/views_exp_csv.sql
===================================================================
--- trunk/import/norgis_alkis_pp/postcreate.d/views_exp_csv.sql	(revision 401)
+++ trunk/import/norgis_alkis_pp/postcreate.d/views_exp_csv.sql	(revision 406)
@@ -22,15 +22,14 @@
 --             Hauptvorteil: Keine undurchsichtigen AbhÃ€ngigkeiten. Ist auch etwas schneller.
 --  2017-12-20 Suche (Sortierung) 'letzte Adresse' nach "beginnt" statt nach "gml_id"
+--  2018-05-02 Aufruf aus GrundstÃŒcksnahweis: tabtyp='buchung' $filter="gsgml" 
 
 -- ToDo:
---  - die alten Ãbersichten "pp_flur", "pp_gemarkung" und "pp_gemeinde" wieder erzeugen
---    Siehe Script: "pp_gebiete.sql" (FÃŒllen) und Teile von "pp_definition.sql" (DB-Struktur).
+--  - Ãberdenken: Ist die UNION-Abfrage mit "Recht an" notwendig und sinnvoll?
+--    -- Wenn ja, bei welchen Filtern?
+--       Ein Erbbaurecht wird geliefert (1x "an") aber Untererbbaurecht nicht mehr (2x Recht "an")
 
 
 -- I n d i c e s
 -- ============================
--- Tabelle "ax_gemarkungsteilflur" sollte Such-Index erhalten auf "gemarkung".
--- FÃŒr Auflistung aller Fluren zur Gemarkung in Script "alkisnav_fls", Function "EineGemarkung".
-
 
 -- Der WMS "Flurstuecke Kommunal" (aus View "st_flurst[gkz][e|r]") wird langsam, wenn er in einer kreisweiten Datenbank ausgefÃŒhrt wird.
@@ -43,40 +42,4 @@
 -- V i e w s
 -- ============================
-
--- Bausteine fÃŒr andere Views:
--- ---------------------------
--- Ein View, der die Verbindung von FlurstÃŒck zur StraÃentabelle fÃŒr zwei verschiedene FÃ€lle herstellt.
--- Einmal ÃŒber die Lagebezeichnung MIT Hausnummer und einmal OHNE.
--- Dies kann als "MittelstÃŒck" in den anderen Views eingefÃŒgt werden.
-
-   DROP VIEW if exists public.flst_an_strasse CASCADE; -- wird nicht mehr verwendet
-/*
-CREATE OR REPLACE VIEW public.flst_an_strasse
-AS
-  -- FlurstÃŒck >weistAuf> ax_lagebezeichnungMIThausnummer <JOIN> ax_lagebezeichnungkatalogeintrag
-  SELECT fm.gml_id AS fsgml,
-         sm.gml_id AS stgml,                 -- Filter: gml_id der StraÃe
-         'm' AS fall                         -- SÃ€tze unterschieden: Mit HsNr
-    FROM ax_flurstueck fm                    -- FlurstÃŒck Mit
-    JOIN ax_lagebezeichnungmithausnummer lm  -- Lage MIT
-      ON lm.gml_id = ANY (fm.weistauf)
-    JOIN ax_lagebezeichnungkatalogeintrag sm
-      ON lm.land=sm.land AND lm.regierungsbezirk=sm.regierungsbezirk AND lm.kreis=sm.kreis AND lm.gemeinde=sm.gemeinde AND lm.lage=sm.lage 
-   WHERE lm.endet IS NULL AND fm.endet IS NULL -- nichts Historisches
- UNION
-  -- FlurstÃŒck >zeigtAuf> ax_lagebezeichnungOHNEhausnummer <JOIN> ax_lagebezeichnungkatalogeintrag
-  SELECT fo.gml_id AS fsgml,
-         so.gml_id AS stgml,                 -- Filter: gml_id der StraÃe
-         'o' AS fall                         -- SÃ€tze unterschieden: Ohne HsNr
-    FROM ax_flurstueck fo                    -- FlurstÃŒck OHNE
-    JOIN ax_lagebezeichnungohnehausnummer lo -- Lage OHNE
-      ON lo.gml_id = ANY (fo.zeigtauf)
-    JOIN ax_lagebezeichnungkatalogeintrag so -- StraÃe OHNE
-      ON lo.land=so.land AND lo.regierungsbezirk=so.regierungsbezirk AND lo.kreis=so.kreis AND lo.gemeinde=so.gemeinde AND lo.lage=so.lage
-   WHERE lo.endet IS NULL AND fo.endet IS NULL; -- nichts Historisches
-
-COMMENT ON VIEW public.flst_an_strasse 
- IS 'ALKIS-Beziehung von FlurstÃŒck zu StraÃentabelle. UNION-Zusammenfassung der FÃ€lle MIT und OHNE Hausnummer.';
-*/
 
 
@@ -111,4 +74,5 @@
     z.bezeichnung                        AS beznam,      -- GB-Bezirks-Name
   -- B u c h u n g s s t e l l e  (GrundstÃŒck)
+    s.gml_id                             AS gsgml,       -- mÃ¶glicher Filter GrundstÃŒck-GML-ID
     s.laufendenummer                     AS bu_lfd,      -- BVNR
     '=' || s.zaehler || '/' || s.nenner  AS bu_ant,      -- als Excel-Formel (nur bei Wohnungsgrundbuch JOIN ÃŒber 'Recht an')
@@ -190,4 +154,5 @@
     z.bezeichnung                        AS beznam,      -- GB-Bezirks-Name
   -- B u c h u n g s s t e l l e  (GrundstÃŒck)
+    dien.gml_id                          AS gsgml,       -- mÃ¶glicher Filter GrundstÃŒck-GML-ID
     s.laufendenummer                     AS bu_lfd,      -- BVNR
     '=' || s.zaehler || '/' || s.nenner  AS bu_ant,      -- als Excel-Formel (nur bei Wohnungsgrundbuch JOIN ÃŒber 'Recht an')
@@ -262,4 +227,5 @@
  IS 'View fÃŒr einen CSV-Export aus der Buchauskunft mit alkisexport.php. Generelle Struktur. FÃŒr eine bestimmte gml_id noch den Filter setzen.';
 
+GRANT SELECT ON TABLE public.exp_csv          TO mb27;
 
 -- Eine Variante des View "exp_csv":
@@ -622,8 +588,5 @@
 
 
--- Berechtigung
--- ============
-  GRANT SELECT ON TABLE public.exp_csv          TO mb27;
-  GRANT SELECT ON TABLE public.exp_csv_str      TO mb27;
+GRANT SELECT ON TABLE public.exp_csv_str      TO mb27;
 
 -- Ende --